org.keycloak.services.managers

## Class ClientSessionCode

- java.lang.Object
- - org.keycloak.services.managers.ClientSessionCode

-     public class ClientSessionCode
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClientSessionCode.ActionType`
    `static class` | `ClientSessionCode.ParseResult`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientSessionCode(RealmModel realm, ClientSessionModel clientSession)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientSessionModel` | `getClientSession()`
    `String` | `getCode()`
    `Set<ProtocolMapperModel>` | `getRequestedProtocolMappers()`
    `Set<RoleModel>` | `getRequestedRoles()`
    `boolean` | `isActionActive(ClientSessionCode.ActionType actionType)`
    `boolean` | `isValid(String requestedAction, ClientSessionCode.ActionType actionType)`
    `boolean` | `isValidAction(String requestedAction)`
    `static ClientSessionCode` | `parse(String code, KeycloakSession session)`
    `static ClientSessionCode` | `parse(String code, KeycloakSession session, RealmModel realm)`
    `static ClientSessionCode.ParseResult` | `parseResult(String code, KeycloakSession session, RealmModel realm)`
    `void` | `setAction(String action)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientSessionCode

          public ClientSessionCode(RealmModel realm,
                                   ClientSessionModel clientSession)

  - ### Method Detail

    - #### parse

          public static ClientSessionCode parse(String code,
                                                KeycloakSession session)

    - #### parseResult

          public static ClientSessionCode.ParseResult parseResult(String code,
                                                                  KeycloakSession session,
                                                                  RealmModel realm)

    - #### parse

          public static ClientSessionCode parse(String code,
                                                KeycloakSession session,
                                                RealmModel realm)

    - #### getClientSession

          public ClientSessionModel getClientSession()

    - #### isValid

          public boolean isValid(String requestedAction,
                                 ClientSessionCode.ActionType actionType)

    - #### isActionActive

          public boolean isActionActive(ClientSessionCode.ActionType actionType)

    - #### isValidAction

          public boolean isValidAction(String requestedAction)

    - #### getRequestedRoles

          public Set<RoleModel> getRequestedRoles()

    - #### getRequestedProtocolMappers

          public Set<ProtocolMapperModel> getRequestedProtocolMappers()

    - #### setAction

          public void setAction(String action)

    - #### getCode

          public String getCode()

Copyright © 2016 JBoss by Red Hat. All rights reserved.